#include<bits/stdc++.h>

using namespace std;

int u[100000];
int v[100000];
int main()
{
    ios_base::sync_with_stdio(false);
        cin.tie(nullptr);
        cout.tie(nullptr);

    int n;
    cin>>n;

    long long int sum=0;
    for (int i=0;i<n-1;i++)
    {
        cin>>u[i]>>v[i];
        sum=sum+u[i]+v[i];
    }

    if (n==1) cout<<0;
    else if (n==2) cout<<0;
    else if (n==3) cout<<1;
    else if (n==4) cout<<1;


    return 0;
}